schemaFormat: application/vnd.aai.asyncapi;version=2.6.0
schema:
    $id: 'https://example.com/regex-pattern.schema.json'
    $schema: 'http://json-schema.org/draft-07/schema#'
    title: Regular Expression Pattern
    type: object
    properties:
        code:
            type: string
            pattern: '^[A-Z]{3}-\d{3}$'